<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <artifactId>cs-system</artifactId>
    <groupId>com.njcn</groupId>
    <version>1.0.0</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>

  <artifactId>cs-system-boot</artifactId>
  <version>1.0.0</version>

  <name>cs-system-boot</name>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.source>8</maven.compiler.source>
    <maven.compiler.target>8</maven.compiler.target>
  </properties>

  <dependencies>
    <dependency>
      <groupId>com.github.tocrhz</groupId>
      <artifactId>mqtt-spring-boot-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>com.njcn</groupId>
      <artifactId>cs-system-api</artifactId>
      <version>1.0.0</version>
    </dependency>
    <dependency>
      <groupId>com.njcn</groupId>
      <artifactId>common-web</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>com.njcn</groupId>
      <artifactId>common-swagger</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.mybatis</groupId>
      <artifactId>mybatis-spring</artifactId>
      <version>2.0.5</version>
    </dependency>
    <dependency>
      <groupId>com.njcn</groupId>
      <artifactId>common-db</artifactId>
      <version>${project.version}</version>
    </dependency>


    <dependency>
      <groupId>com.njcn</groupId>
      <artifactId>common-oss</artifactId>
      <version>1.0.0</version>
      <scope>compile</scope>
    </dependency>

    <dependency>
      <groupId>com.baomidou</groupId>
      <artifactId>dynamic-datasource-spring-boot-starter</artifactId>
      <version>3.5.1</version>
    </dependency>
      <dependency>
          <groupId>com.njcn</groupId>
          <artifactId>user-api</artifactId>
          <version>1.0.0</version>
          <scope>compile</scope>
      </dependency>
    <dependency>
      <groupId>com.njcn</groupId>
      <artifactId>harmonic-common</artifactId>
      <version>1.0.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>com.njcn</groupId>
      <artifactId>cs-harmonic-api</artifactId>
      <version>1.0.0</version>
      <scope>compile</scope>
    </dependency>
      <dependency>
          <groupId>com.njcn</groupId>
          <artifactId>access-api</artifactId>
          <version>1.0.0</version>
          <scope>compile</scope>
      </dependency>

  </dependencies>

  <build>
    <finalName>csSystemBoot</finalName>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.8.0</version>
        <configuration>
          <compilerArgument>-Xlint:unchecked</compilerArgument>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-maven-plugin</artifactId>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>repackage</goal>
            </goals>
          </execution>
        </executions>
      </plugin>

      <plugin>
        <groupId>com.spotify</groupId>
        <artifactId>docker-maven-plugin</artifactId>
        <version>1.2.2</version>
        <executions>
          <!--执行mvn package,即执行 mvn clean package docker:build-->
          <execution>
            <id>build-image</id>
            <phase>${docker.operate}</phase>
            <goals>
              <goal>build</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <!--<serverId>36dockerHarbor</serverId>-->
          <registryUrl>http://${docker.repostory}</registryUrl>
          <!-- 镜像名称 -->
          <imageName>${docker.repostory}/${docker.registry.name}/${project.artifactId}</imageName>
          <!-- 指定标签 -->
          <imageTags>
            <imageTag>latest</imageTag>
          </imageTags>
          <!-- 指定远程 Docker API地址  -->
          <dockerHost>${docker.url}</dockerHost>
          <dockerDirectory>${basedir}/</dockerDirectory>
          <!-- 复制 jar包到docker容器指定目录-->
          <resources>
            <resource>
              <targetPath>/ROOT</targetPath>
              <!-- 用于指定需要复制的根目录，${project.build.directory}表示target目录 -->
              <directory>${project.build.directory}</directory>
              <!-- 用于指定需要复制的文件，${project.build.finalName}.jar就是打包后的target目录下的jar包名称　-->
              <include>${project.build.finalName}.jar</include>
            </resource>
          </resources>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
